cvs: phpweb /bin update-projects
| From: | Jim Winstead | Date: | Fri, 21 Sep 2001 02:15:45 +0000 |
| Subject: | cvs: phpweb /bin update-projects | ||
| Groups: | php.mirrors | ||
| Request: | Send a blank email to php-mirrors+get-6518@lists.php.net to get a copy of this message | ||
jimw Thu Sep 20 22:15:45 2001 EDT
Modified files:
/phpweb/bin update-projects
Log:
handle errors better
Index: phpweb/bin/update-projects
diff -u phpweb/bin/update-projects:1.5 phpweb/bin/update-projects:1.6
--- phpweb/bin/update-projects:1.5 Fri Jul 6 20:12:15 2001
+++ phpweb/bin/update-projects Thu Sep 20 22:15:44 2001
@@ -1,7 +1,8 @@
#!/bin/sh
lynx -source http://freshmeat.net/search-xml/?q=php\&filter=183
> backend/projects.xml~
-if [ $? -ne 0 ]; then
+if [ $? -ne 0 -o ! -s backend/projects.xml~ ]; then
+ rm -f backend/projects.xml~
echo problem getting results from freshmeat
exit 1
fi
@@ -14,7 +15,8 @@
sleep 900
lynx -source http://www.php.net/bin/projects.php
> backend/projects.html~
-if [ $? -ne 0 ]; then
+if [ $? -ne 0 -o ! -s backend/projects.html~ ]; then
+ rm -f backend/projects.html~
echo problem converting results to html
exit 1
fi
@@ -23,10 +25,10 @@
# generating the include file projects.inc
lynx -source http://www.php.net/bin/projects_inc.php >
backend/projects.inc~
-if [ $? -ne 0 ]; then
+if [ $? -ne 0 -o ! -s backend/projects.inc~ ]; then
+ rm -f backend/projects.inc~
echo problem generating the include file
exit 1
fi
mv backend/projects.inc~ backend/projects.inc
-